EDIT - bug #7396

distributionIinfoFor service fails generating the mapUriParams in general
05/04/2018 07:31 AM - Andreas Kohlbecker

Status: Duplicate Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdmlib Estimated time: 0:00 hour
Target version:

Severity: critical Found in Version:

Description

Symptom:

The in the Euro+Med portal (edit-test) map for Saussurea pygmaea is missing

This accounts for all tested data portal pages

Analysis:
The distributionIinfoFor web service does not add the ad values to the query string:
http://160.45.63.175/cdmserver/euromed/portal/description/distributionInfoFor/39df37¢9-a093-4d16-b8f9-58c58f826989.json?recipe=

EuroPlusM at rderPreference= AreaPreference=1&hiddenAreaMarkerType=0318c67d-e323-4e9c-bffb-bc0c7{8f9f40&
art=mapUriParams

returns

{"condensedDistribution":null, "elements":[],"tree":null, "class":"DistributionInfoDTO", "mapUriParam
s":"as=a:4dafd4a,, 0.1, sad=&¢title=a:native"}

The condensed distribution and distribution tree are ok.

History

#1 - 05/04/2018 07:37 AM - Andreas Kohlbecker
- Tags deleted (euro+med)

- Subject changed from distributioninfoFor service fails generating the mapUriParams with specific data to distributioninfoFor service fails generating
the mapUriParams in general

- Description updated
- Target version changed from Unassigned CDM tickets to Release 5.0

- Severity changed from normal to critical

#3 - 05/09/2018 04:50 PM - Andreas Miuller

- Status changed from New to Duplicate

#4 - 05/09/2018 04:50 PM - Andreas Miuller

- Target version deleted (Release 5.0)

04/20/2024 1/1



http://test.e-taxonomy.eu/dataportal/preview/euromed/cdm_dataportal/taxon/39df37c9-a093-4d16-b8f9-58c58f826989?destination=cdm_dataportal/taxon/39df37c9-a093-4d16-b8f9-58c58f826989
http://160.45.63.175/cdmserver/euromed/portal/description/distributionInfoFor/39df37c9-a093-4d16-b8f9-58c58f826989.json?recipe=EuroPlusMed&statusOrderPreference=1&subAreaPreference=1&hiddenAreaMarkerType=0318c67d-e323-4e9c-bffb-bc0c7f8f9f40&part=mapUriParams
http://160.45.63.175/cdmserver/euromed/portal/description/distributionInfoFor/39df37c9-a093-4d16-b8f9-58c58f826989.json?recipe=EuroPlusMed&statusOrderPreference=1&subAreaPreference=1&hiddenAreaMarkerType=0318c67d-e323-4e9c-bffb-bc0c7f8f9f40&part=mapUriParams
http://160.45.63.175/cdmserver/euromed/portal/description/distributionInfoFor/39df37c9-a093-4d16-b8f9-58c58f826989.json?recipe=EuroPlusMed&statusOrderPreference=1&subAreaPreference=1&hiddenAreaMarkerType=0318c67d-e323-4e9c-bffb-bc0c7f8f9f40&part=mapUriParams
http://www.tcpdf.org

